AxisTypeProperties (jCharts-0.7.5 API)
Keywords: org.jCharts.properties.AxisTypeProperties,AxisTypeProperties class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.properties
Class AxisTypeProperties

    java.lang.Object
      |
      +--org.jCharts.properties.Properties
            |
            +--org.jCharts.properties.AxisTypeProperties

All Implemented Interfaces:
  HTMLTestable, java.io.Serializable

Direct Known Subclasses:
  LabelAxisProperties

public class AxisTypeProperties
extends Properties
implements HTMLTestable

See Also:
  Serialized Form

Field Summary
`private ChartStroke` | `axisStroke`
`private float` | `axisTickMarkPixelLength`
`private ChartFont` | `axisTitleChartFont`
`static int` | `GRID_LINES_ALL`
`static int` | `GRID_LINES_NONE`
`static int` | `GRID_LINES_ONLY_WITH_LABELS`
`private ChartStroke` | `gridLineChartStroke`
`private float` | `paddingBetweenAxisAndLabels`
`private float` | `paddingBetweenAxisLabels`
`private float` | `paddingBetweenAxisTitleAndLabels`
`private float` | `paddingBetweenLabelsAndTicks`
`private ChartFont` | `scaleChartFont`
`private boolean` | `showAxisLabels`
`private boolean` | `showEndBorder`
`private int` | `showGridLines`
`private int` | `showTicks`
`private ChartStroke` | `tickChartStroke`
`static int` | `TICKS_ALL`
`static int` | `TICKS_NONE`
`static int` | `TICKS_ONLY_WITH_LABELS`
`private ChartFont` | `titleChartFont`

Fields inherited from class org.jCharts.properties.Properties
`DEFAULT_BACKGROUND_PAINT`

Constructor Summary
`AxisTypeProperties()`

Method Summary
`ChartStroke` | `getAxisStroke()`
`float` | `getAxisTickMarkPixelLength()`
`ChartFont` | `getAxisTitleChartFont()`
`ChartStroke` | `getGridLineChartStroke()`
`float` | `getPaddingBetweenAxisAndLabels()`
`float` | `getPaddingBetweenAxisLabels()`
`float` | `getPaddingBetweenAxisTitleAndLabels()`
`float` | `getPaddingBetweenLabelsAndTicks()`
`ChartFont` | `getScaleChartFont()`
`boolean` | `getShowEndBorder()`
`int` | `getShowGridLines()`
`int` | `getShowTicks()`
`ChartStroke` | `getTickChartStroke()`
`ChartFont` | `getTitleChartFont()`
`void` | `setAxisStroke(ChartStroke axisStroke)`
`void` | `setAxisTickMarkPixelLength(float axisTickMarkPixelLength)`
`void` | `setAxisTitleChartFont(ChartFont axisTitleChartFont)`
`void` | `setGridLineChartStroke(ChartStroke gridLineChartStroke)`
`void` | `setPaddingBetweenAxisAndLabels(float paddingBetweenAxisAndLabels)`
`void` | `setPaddingBetweenAxisTitleAndLabels(float paddingBetweenAxisTitleAndLabels)`
`void` | `setPaddingBetweenLabelsAndTicks(float paddingBetweenLabelsAndTicks)`
`void` | `setPaddingBetweenXAxisLabels(float paddingBetweenAxisLabels)`
`void` | `setScaleChartFont(ChartFont scaleChartFont)`
`void` | `setShowAxisLabels(boolean showAxisLabels)`
`void` | `setShowEndBorder(boolean showEndBorder)`
`void` | `setShowGridLines(int showGridLines)`
`void` | `setShowTicks(int showTicks)`
`void` | `setTickChartStroke(ChartStroke tickChartStroke)`
`void` | `setTitleChartFont(ChartFont titleChartFont)`
`boolean` | `showAxisLabels()`
`void` | `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.

Methods inherited from class org.jCharts.properties.Properties
`getBackgroundPaint, setBackgroundPaint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TICKS_NONE

    public static final int TICKS_NONE

See Also:
  Constant Field Values

### TICKS_ALL

    public static final int TICKS_ALL

See Also:
  Constant Field Values

### TICKS_ONLY_WITH_LABELS

    public static final int TICKS_ONLY_WITH_LABELS

See Also:
  Constant Field Values

### GRID_LINES_NONE

    public static final int GRID_LINES_NONE

See Also:
  Constant Field Values

### GRID_LINES_ALL

    public static final int GRID_LINES_ALL

See Also:
  Constant Field Values

### GRID_LINES_ONLY_WITH_LABELS

    public static final int GRID_LINES_ONLY_WITH_LABELS

See Also:
  Constant Field Values

### showTicks

    private int showTicks

### tickChartStroke

    private ChartStroke tickChartStroke

### showGridLines

    private int showGridLines

### gridLineChartStroke

    private ChartStroke gridLineChartStroke

### scaleChartFont

    private ChartFont scaleChartFont

### axisTitleChartFont

    private ChartFont axisTitleChartFont

### axisStroke

    private ChartStroke axisStroke

### paddingBetweenAxisTitleAndLabels

    private float paddingBetweenAxisTitleAndLabels

### axisTickMarkPixelLength

    private float axisTickMarkPixelLength

### paddingBetweenLabelsAndTicks

    private float paddingBetweenLabelsAndTicks

### paddingBetweenAxisAndLabels

    private float paddingBetweenAxisAndLabels

### paddingBetweenAxisLabels

    private float paddingBetweenAxisLabels

### showEndBorder

    private boolean showEndBorder

### showAxisLabels

    private boolean showAxisLabels

### titleChartFont

    private ChartFont titleChartFont

Constructor Detail

### AxisTypeProperties

    public AxisTypeProperties()

Method Detail

### getTitleChartFont

    public ChartFont getTitleChartFont()

### setTitleChartFont

    public void setTitleChartFont(ChartFont titleChartFont)

### showAxisLabels

    public boolean showAxisLabels()

### setShowAxisLabels

    public void setShowAxisLabels(boolean showAxisLabels)

### getShowTicks

    public int getShowTicks()

### setShowTicks

    public void setShowTicks(int showTicks)

### getTickChartStroke

    public ChartStroke getTickChartStroke()

### setTickChartStroke

    public void setTickChartStroke(ChartStroke tickChartStroke)

### getShowGridLines

    public int getShowGridLines()

### setShowGridLines

    public void setShowGridLines(int showGridLines)

### getGridLineChartStroke

    public ChartStroke getGridLineChartStroke()

### setGridLineChartStroke

    public void setGridLineChartStroke(ChartStroke gridLineChartStroke)

### getPaddingBetweenAxisTitleAndLabels

    public float getPaddingBetweenAxisTitleAndLabels()

### setPaddingBetweenAxisTitleAndLabels

    public void setPaddingBetweenAxisTitleAndLabels(float paddingBetweenAxisTitleAndLabels)

### getAxisTickMarkPixelLength

    public float getAxisTickMarkPixelLength()

### setAxisTickMarkPixelLength

    public void setAxisTickMarkPixelLength(float axisTickMarkPixelLength)

### getPaddingBetweenLabelsAndTicks

    public float getPaddingBetweenLabelsAndTicks()

### setPaddingBetweenLabelsAndTicks

    public void setPaddingBetweenLabelsAndTicks(float paddingBetweenLabelsAndTicks)

### getPaddingBetweenAxisAndLabels

    public float getPaddingBetweenAxisAndLabels()

### setPaddingBetweenAxisAndLabels

    public void setPaddingBetweenAxisAndLabels(float paddingBetweenAxisAndLabels)

### getAxisStroke

    public ChartStroke getAxisStroke()

### setAxisStroke

    public void setAxisStroke(ChartStroke axisStroke)

### getScaleChartFont

    public ChartFont getScaleChartFont()

### setScaleChartFont

    public void setScaleChartFont(ChartFont scaleChartFont)

### getAxisTitleChartFont

    public ChartFont getAxisTitleChartFont()

### setAxisTitleChartFont

    public void setAxisTitleChartFont(ChartFont axisTitleChartFont)

### getShowEndBorder

    public boolean getShowEndBorder()

### setShowEndBorder

    public void setShowEndBorder(boolean showEndBorder)

### getPaddingBetweenAxisLabels

    public float getPaddingBetweenAxisLabels()

### setPaddingBetweenXAxisLabels

    public void setPaddingBetweenXAxisLabels(float paddingBetweenAxisLabels)

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Specified by:
    `toHTML` in interface `HTMLTestable`
  Overrides:
    `toHTML` in class `Properties`
  Parameters:
    `htmlGenerator` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD